<?php
# This file was automatically generated by the MediaWiki 1.29.1
# installer. If you make manual changes, please keep track in case you
# need to recreate them later.
#
# See includes/DefaultSettings.php for all configurable settings
# and their default values, but don't forget to make changes in _this_
# file, not there.
#
# Further documentation for configuration settings may be found at:
# https://www.mediawiki.org/wiki/Manual:Configuration_settings

# Protect against web entry
if ( !defined( 'MEDIAWIKI' ) ) {
	exit;
}

## Uncomment this to disable output compression
# $wgDisableOutputCompression = true;

$wgSitename = "Wiki R";
$wgMetaNamespace = "Wiki_R";

## The URL base path to the directory containing the wiki;
## defaults for all runtime URL paths are based off of this.
## For more information on customizing the URLs
## (like /w/index.php/Page_title to /wiki/Page_title) please see:
## https://www.mediawiki.org/wiki/Manual:Short_URL
$wgScriptPath = "/wiki-r";

## The protocol and server name to use in fully-qualified URLs
$wgServer = "https://www.ufrgs.br";

## The URL path to static resources (images, scripts, etc.)
$wgResourceBasePath = $wgScriptPath;

## The URL path to the logo.  Make sure you change this from the default,
## or else you'll overwrite your logo when you upgrade!
$wgLogo = "$wgResourceBasePath/resources/assets/wiki.png";

## UPO means: this is also a user preference option

$wgEnableEmail = true;
$wgEnableUserEmail = true; # UPO

$wgEmergencyContact = "joao.brito@ufrgs.br";
$wgPasswordSender = "joao.brito@ufrgs.br";

$wgEnotifUserTalk = true; # UPO
$wgEnotifWatchlist = true; # UPO
$wgEmailAuthentication = true;

## Database settings
$wgDBtype = "mysql";
$wgDBserver = "bdlivre.ufrgs.br";
$wgDBname = "wikir";
$wgDBuser = "wikir";
$wgDBpassword = "It2hHM7cyr3I";

# MySQL specific settings
$wgDBprefix = "";

# MySQL table options to use during installation or update
$wgDBTableOptions = "ENGINE=InnoDB, DEFAULT CHARSET=utf8";

# Experimental charset support for MySQL 5.0.
$wgDBmysql5 = false;

## Shared memory settings
$wgMainCacheType = CACHE_NONE;
$wgMemCachedServers = [];

## To enable image uploads, make sure the 'images' directory
## is writable, then set this to true:
$wgEnableUploads = true;
#$wgUseImageMagick = true;
#$wgImageMagickConvertCommand = "/usr/bin/convert";

# InstantCommons allows wiki to use images from https://commons.wikimedia.org
$wgUseInstantCommons = true;

# Periodically send a pingback to https://www.mediawiki.org/ with basic data
# about this MediaWiki instance. The Wikimedia Foundation shares this data
# with MediaWiki developers to help guide future development efforts.
$wgPingback = true;

## If you use ImageMagick (or any other shell command) on a
## Linux server, this will need to be set to the name of an
## available UTF-8 locale
$wgShellLocale = "en_US.utf8";

## Set $wgCacheDirectory to a writable directory on the web server
## to make your wiki go slightly faster. The directory should not
## be publically accessible from the web.
#$wgCacheDirectory = "$IP/cache";

# Site language code, should be one of the list in ./languages/data/Names.php
$wgLanguageCode = "pt-br";

$wgSecretKey = "c5307ce7049f6d51ccd2723f04050cef9cd804f6c1d425a590a979e4dafba778";

# Changing this will log out all existing sessions.
$wgAuthenticationTokenVersion = "1";

# Site upgrade key. Must be set to a string (default provided) to turn on the
# web installer while LocalSettings.php is in place
$wgUpgradeKey = "a68e094b30077ff9";

## For attaching licensing metadata to pages, and displaying an
## appropriate copyright notice / icon. GNU Free Documentation
## License and Creative Commons licenses are supported so far.
$wgRightsPage = ""; # Set to the title of a wiki page that describes your license/copyright
$wgRightsUrl = "https://creativecommons.org/licenses/by-sa/4.0/";
$wgRightsText = "Creative Commons - Atribuição - Compartilha nos Mesmos Termos";
$wgRightsIcon = "$wgResourceBasePath/resources/assets/licenses/cc-by-sa.png";

# Path to the GNU diff3 utility. Used for conflict resolution.
$wgDiff3 = "";

# The following permissions were set based on your choice in the installer
$wgGroupPermissions['*']['edit'] = false;

## Default skin: you can change the default skin. Use the internal symbolic
## names, ie 'vector', 'monobook':
$wgDefaultSkin = "vector";

# Enabled skins.
# The following skins were automatically enabled:
wfLoadSkin( 'CologneBlue' );
wfLoadSkin( 'Modern' );
wfLoadSkin( 'MonoBook' );
wfLoadSkin( 'Vector' );


# Enabled extensions. Most of the extensions are enabled by adding
# wfLoadExtensions('ExtensionName');
# to LocalSettings.php. Check specific extension documentation for more details.
# The following extensions were automatically enabled:
wfLoadExtension( 'Cite' );
wfLoadExtension( 'CiteThisPage' );
wfLoadExtension( 'ConfirmEdit' );
wfLoadExtension( 'Gadgets' );
wfLoadExtension( 'ImageMap' );
wfLoadExtension( 'InputBox' );
wfLoadExtension( 'PdfHandler' );
wfLoadExtension( 'Renameuser' );
wfLoadExtension( 'SyntaxHighlight_GeSHi' );
wfLoadExtension( 'WikiEditor' );


# End of automatically generated settings.
# Add more configuration options below.

################################################################################
# Configuracoes
################################################################################

# Habilita Upload de arquivos
$wgEnableUploads = true; # Enable uploads

################################################################################
# Extencoes adicionais
################################################################################

##### 
## CSS
# https://www.mediawiki.org/wiki/Extension:CSS
require_once "$IP/extensions/CSS/CSS.php";

#####
## WikiSEO
# https://www.mediawiki.org/wiki/Extension:WikiSEO
require_once "$IP/extensions/WikiSEO/WikiSEO.php";
wfLoadExtension( 'WikiSEO' );

#####
## Comments
# https://www.mediawiki.org/wiki/Extension:Comments
# Precisa rodar:$ php update.php
wfLoadExtension( 'Comments' );

#####
## TeX Editor
# https://www.mediawiki.org/wiki/Extension:TeX_Editor
# Nao rodou
#require_once("$IP/includes/SpecialTexbox.php");
#$wgAjaxExportList[] = 'wfSajaxMath';
#$wgUseAjax = true;

#####
## ContactPage
# https://www.mediawiki.org/wiki/Extension:ContactPage
wfLoadExtension( 'ContactPage' );
$wgContactConfig['default'] = array(
	'RecipientUser' => 'WikiUser', // Must be the name of a valid account which also has a verified e-mail-address added to it.
	'SenderName' => 'Contact Form on ' . $wgSitename, // "Contact Form on" needs to be translated
	'SenderEmail' => null, // Defaults to $wgPasswordSender, may be changed as required
	'RequireDetails' => true, // Either "true" or "false" as required
	'IncludeIP' => true, // Either "true" or "false" as required
	'AdditionalFields' => array(
		'Text' => array(
			'label-message' => 'emailmessage',
			'type' => 'textarea',
			'rows' => 20,
			'cols' => 80,
			'required' => true,  // Either "true" or "false" as required
		),
	),
        // Added in MW 1.26
	'DisplayFormat' => 'table',  // See HTMLForm documentation for available values.
	'RLModules' => array(),  // Resource loader modules to add to the form display page.
	'RLStyleModules' => array(),  // Resource loader CSS modules to add to the form display page.
);

#####
## AutoSitemap
# https://www.mediawiki.org/wiki/Extension:AutoSitemap
wfLoadExtension( 'AutoSitemap' );

$wgAutoSitemap["server"] = "https://www.ufrgs.br/wiki-r/";

$wgAutoSitemap["notify"] = [
    'https://www.google.com/webmasters/sitemaps/ping?sitemap=https://www.ufrgs.br/wiki-r/sitemap.xml',
    'https://www.bing.com/webmaster/ping.aspx?sitemap=https://www.ufrgs.br/wiki-r/sitemap.xml',
    'https://blogs.yandex.ru/pings/?status=success&url=https://www.ufrgs.br/wiki-r/sitemap.xml',
];

#####
## Draft
# https://www.mediawiki.org/wiki/Extension:Drafts#Installation
# Nao rodou
#require_once "$IP/extensions/Drafts/Drafts.php";

#####  
## WikiEditor
# https://www.mediawiki.org/wiki/Extension:WikiEditor
wfLoadExtension( 'WikiEditor' );

# Enables use of WikiEditor by default but still allows users to disable it in preferences
$wgDefaultUserOptions['usebetatoolbar'] = 1;

# Enables link and table wizards by default but still allows users to disable them in preferences
$wgDefaultUserOptions['usebetatoolbar-cgd'] = 1;

# Displays the Preview and Changes tabs
$wgDefaultUserOptions['wikieditor-preview'] = 1;

# Displays the Publish and Cancel buttons on the top right side
$wgDefaultUserOptions['wikieditor-publish'] = 1;


#####
## Impressao pdf
# https://www.mediawiki.org/wiki/Extension:PdfHandler
# require_once "$IP/extensions/PdfHandler/PdfHandler.php";
wfLoadExtension( 'PdfHandler' );

##### 
## YouTube
# https://www.mediawiki.org/wiki/Extension:YouTube
require_once "$IP/extensions/YouTube/YouTube.php";
wfLoadExtension( 'YouTube' );

#####
## Sintaxe
# https://www.mediawiki.org/wiki/Extension:SyntaxHighlight
require_once "$IP/extensions/SyntaxHighlight_GeSHi/SyntaxHighlight_GeSHi.php";
wfLoadExtension( 'SyntaxHighlight_GeSHi' );

#####
## Visual Editor
# https://www.mediawiki.org/wiki/Extension:VisualEditor
# Nao rodou
#wfLoadExtension( 'VisualEditor' );

// Enable by default for everybody
#$wgDefaultUserOptions['visualeditor-enable'] = 1;

// Optional: Set VisualEditor as the default for anonymous users
// otherwise they will have to switch to VE
// $wgDefaultUserOptions['visualeditor-editor'] = "visualeditor";

// Don't allow users to disable it
#$wgHiddenPrefs[] = 'visualeditor-enable';

// OPTIONAL: Enable VisualEditor's experimental code features
#$wgDefaultUserOptions['visualeditor-enable-experimental'] = 1;

#####
## Quiz
# https://www.mediawiki.org/wiki/Extension:Quiz
# https://en.wikiversity.org/wiki/Help:Quiz#The_quiz_tag
wfLoadExtension( 'Quiz' );

#####
## BibTex
# https://www.mediawiki.org/wiki/Extension:Bibtex
require_once "$IP/extensions/BibTeX/BibTex.php";

##### 
## BibManager
# https://www.mediawiki.org/wiki/Extension:BibManager
require_once "$IP/extensions/BibManager/BibManager.php";

#####
## BibTexImport
# https://www.mediawiki.org/wiki/Extension:BibTexImport
require_once("$IP/extensions/bibteximport/SpecialBibTexImport.php");

#####
## Citar
# https://www.mediawiki.org/wiki/Extension:Cite/Cite.php/pt-br
require_once("$IP/extensions/Cite/Cite.php");

#####
## ImageMap
# https://www.mediawiki.org/wiki/Extension:ImageMap
# Nao roda: Precisa instalar https://www.mediawiki.org/wiki/Manual:Installing_third-party_tools
#wfLoadExtension( 'ImageMap' );


#####
## SyntaxHighlight_GeSHi
# https://www.mediawiki.org/wiki/Extension:SyntaxHighlight
wfLoadExtension( 'SyntaxHighlight_GeSHi' );

